Summary: Bidwatcher tracks and snipes eBay auctions
Name: bidwatcher
%define version 1.3.10
Version: %{version}
Release: 1
Source: http://prdownloads.sourceforge.net/bidwatcher/bidwatcher-%{version}.tar.gz
Copyright: GPL
Group: Applications/Internet
Buildroot: /var/tmp/%{name}

%description
Bidwatcher is a tracking and 'sniping' tool. This means that it
will watch, and make bids 'at the last minute' in an attempt to
successfully be the high bidder in an eBay auction, without
prematurely exposing one's interest in a given auction's contents,
and thus alerting others who might study your bidding interests and
patterns.

It was initially written by trent@rmci.net (Trent McNair) and
tmcnair@cyberhighway.net (Tom McNair); They discontinued maintenance,
handed off the package to wayne@midwestcs.com (Wayne Schlitt) in
early 2000,

This then moved to http://bidwatcher.sourceforge.net/ driven by
Wayne, Ben Byer, Larry Gilbert, and Kevin Dwyer -- the code is
much nicer, using Gtk+ 1.2 ...

%prep

%setup -q

%build
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/bidwatcher

make DESTDIR=$RPM_BUILD_ROOT install

# install -c -m0755 bidwatcher $RPM_BUILD_ROOT/usr/local/bin
# no Makefiles ...
install -c -m0644 AUTHORS $RPM_BUILD_ROOT/usr/share/doc/bidwatcher 
install -c -m0644 ChangeLog $RPM_BUILD_ROOT/usr/share/doc/bidwatcher 
install -c -m0644 COPYING $RPM_BUILD_ROOT/usr/share/doc/bidwatcher 
install -c -m0644 INSTALL $RPM_BUILD_ROOT/usr/share/doc/bidwatcher 
install -c -m0644 NEWS $RPM_BUILD_ROOT/usr/share/doc/bidwatcher 
install -c -m0644 README $RPM_BUILD_ROOT/usr/share/doc/bidwatcher 
install -c -m0644 TODO $RPM_BUILD_ROOT/usr/share/doc/bidwatcher 
install -c -m0644 quick_start.html $RPM_BUILD_ROOT/usr/share/doc/bidwatcher
chmod 0755 $RPM_BUILD_ROOT/usr/local/bin/bidwatcher


%post

%postun

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/local/bin/bidwatcher
/usr/share/doc/bidwatcher/*

%changelog
* Fri Mar 13 2002 R P Herrold <herrold@owlriver.com> (1.3.2-1)
- Much cleaner use of autoconf and install with SourceForge variant

* Fri Jun 10 2000 R P Herrold <herrold@owlriver.com>
- Initial packaging
